Company Document Types

Get Company Document Type

Get one of the document types the company is registered to receive.

GET
/api/v1/companies/{companyId}/document-types/{documentTypeId}

Get one of the document types the company is registered to receive.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to get a document type for

documentTypeId*string

The ID of the document type to retrieve

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/companies/string/document-types/string"
{  "success": true,  "documentType": {    "id": "cdt_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "companyId": "c_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "docTypeId": "urn:oasis:names:specification:ubl:schema:xsd:Invoice-2::Invoice##urn:cen.eu:en16931:2017#compliant#urn:fdc:peppol.eu:2017:poacc:billing:3.0::2.1",    "processId": "urn:fdc:peppol.eu:2017:poacc:billing:01:1.0",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}